Name: simple-ccsm
Version: 0.8.4
Release: 1%{?_dist_release}
Summary: Simple Compiz Config Settings Manager
Summary(ja): シンプルな Compiz 設定マネージャ

Group: User Interface/Desktops
URL: http://www.compiz-fusion.org/
License: GPL

Source: http://releases.compiz.org/%{version}/%{name}-%{version}.tar.bz2

Source10: %{name}-0.7.8-ja.po

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
BuildRequires: compiz-devel
BuildRequires: python-devel
BuildRequires: compizconfig-python
BuildRequires: pygtk2-devel
BuildRequires: intltool
BuildRequires: desktop-file-utils

%description
Simple Compiz Config Settings Manager

%description -l ja
シンプルな Compiz 設定マネージャ

%prep
%setup -q

#cp -f %{SOURCE10} po/ja.po

%build
python setup.py build --prefix=%{_prefix}

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --prefix=%{_prefix} --root=$RPM_BUILD_ROOT

desktop-file-install \
  --vendor="" \
  --remove-category="Compiz" \
  --add-category="Settings" \
  --add-category="DesktopSettings" \
  --dir %{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

rm -f $RPM_BUILD_ROOT%{python_sitelib}/simple_ccsm-*-py2.5.egg-info

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -x /usr/bin/gtk-update-icon-cache ]; then
        /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi

%postun
if [ -x /usr/bin/gtk-update-icon-cache ]; then
        /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/%{name}.glade
%dir %{_datadir}/%{name}/images
%{_datadir}/%{name}/images/*.png
%{_datadir}/%{name}/images/*.svg
%dir %{_datadir}/%{name}/profiles
%{_datadir}/%{name}/profiles/*.profile
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/*/apps/%{name}.svg
%{_datadir}/applications/%{name}.desktop


%changelog
* Sat Nov 06 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.4-1
- new upstream release
- drop Source10
- add BuildRequires: python-devel

* Mon May 04 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.8.2-2
- change Group to User Interface/Desktops

* Mon May 04 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.8.2-1
- new upstream release

* Sun Oct 19 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.7.8-2
- new upstream release

* Sat Oct 11 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.7.8-1
- new upstream release

* Wed Jul 23 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.7.6-1
- initial build for Vine Linux

